
TYPO3.Flow - Feature # 28136

Status: New Priority: Should have
Author: Benjamin Eberlei Category: Persistence
Created: 2011-07-12 Assigned To:
Updated: 2012-05-21 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: HTTP Semantics for Transactions and more
Description

Currently the Repositories are all flushed on every request no matter the type. It should default to only PUT, POST DELETE updating
the repositories.

GET Requests should schedule Transactions manually in the controller.

Additionally transactions should be encapsulated in one action and not executed over many different actions. This is problematic
because there is no way to stop a transaction. Transactions should be rolled back (no flushing) when an exception is thrown in the
controller.

Related issues:
related to TYPO3.Flow - Feature # 27117: Bind routes to HTTP request methods Resolved 2011-05-29 2013-04-13
precedes TYPO3.Flow - Feature # 28137: Do not use clone in PersistentObject P... Closed 2011-07-13 2011-07-13

Associated revisions
Revision 9a0e128a - 2012-04-26 14:30 - Karsten Dambekalns

[FEATURE] Persist after every controller invocation

Wire persistAll() from afterControllerInvocation instead of the
finishedRuntimeRun signal.

This is useful because it wraps all changes done in one dispatch in
a transaction, thus enabling better rollback in case of errors.

Related: #28136
Releases: 1.1
Change-Id: If0020fdedbaf4779ff24d0e4248e2137cdf5bc67

Revision 72b91a1e - 2012-04-26 22:23 - Rens Admiraal

[BUGFIX] Call PersistAll after every controller invocation

If0020fdedbaf4779ff24d0e4248e2137cdf5bc67 introduced a regression
which caused persistAll() to be uncalled.

Change-Id: I9f7ca92777005c3e2580c32ebd8540755a43210a
Related: #28136
Releases: 1.1
History
#1 - 2011-08-29 21:29 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2011-08-29 21:29 - Karsten Dambekalns
- Category set to Persistence

#3 - 2011-11-04 09:44 - Karsten Dambekalns
- Target version set to 1.1
- Has patch set to No

Another point: action methods should be executed only of a matching request method comes in, e.g. a method declared for POST handling should only
be callable by POST requests.

One more reason for this: http://googlewebmastercentral.blogspot.com/2011/11/get-post-and-safely-surfacing-more-of.html

#4 - 2012-05-21 16:15 - Karsten Dambekalns
- Target version deleted (1.1)
